---
title: "Latest prices for a petrochemical product (rolling window)."
url: "https://developer.argaam.com/apis/macroeconomic-layer-api-production-v1/versions/eeada0b4-178b-4972-8713-f497c9940530/operations/getPetrochemicalsProductsByProductIdPrices"
---

> Full API specification: https://developer.argaam.com/apis/macroeconomic-layer-api-production-v1/versions/eeada0b4-178b-4972-8713-f497c9940530.md

# Latest prices for a petrochemical product (rolling window).

`GET` `/api/v1.1/petrochemicals/products/{productId}/prices`

Operation ID: `getPetrochemicalsProductsByProductIdPrices`

Returns prices observed during the requested rolling period (`1D`, `1W`, `1M`, `3M`, `1Y`, `MAX`). ### Example ``` GET /api/v1.1/petrochemicals/products/12/prices?regionId=1&period=1M ```

## Path parameters

- `productId` (integer, int32, required) - Product ID from `/products`.

## Query parameters

- `regionId` (integer, int32, optional) - Region ID. Defaults to Asia (`1`).
- `period` (string, optional) - Rolling window. Default: `1M`. Defaults to `1M`.

## Responses

- `200` - Success

## OpenAPI definition

````yaml
openapi: 3.0.1
info:
  title: Macroeconomic Layer API
  version: v1.1
servers:
  - url: https://api.argaam.com
    description: Argaam API Gateway (Production)
paths:
  /api/v1.1/petrochemicals/products/{productId}/prices:
    get:
      tags:
        - Petrochemicals
      parameters:
        - name: productId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: Product ID from `/products`.
        - name: regionId
          in: query
          description: Region ID. Defaults to Asia (`1`).
          schema:
            type: integer
            format: int32
          example: 1
        - name: period
          in: query
          description: "Rolling window. Default: `1M`. Defaults to `1M`."
          schema:
            type: string
            default: 1M
          example: year
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/PetrochemicalsProductPrices"
      summary: Latest prices for a petrochemical product (rolling window).
      description: "Returns prices observed during the requested rolling period\r

        (`1D`, `1W`, `1M`, `3M`, `1Y`, `MAX`).\r

        \            \r

        ### Example\r

        ```\r

        GET /api/v1.1/petrochemicals/products/12/prices?regionId=1&period=1M\r

        ```"
      operationId: getPetrochemicalsProductsByProductIdPrices
security:
  - ApiKeyAuth: []
components:
  schemas:
    PetrochemicalsProductPrices:
      type: object
      properties:
        productPriceID:
          type: integer
          format: int32
        regionID:
          type: integer
          format: int32
        categoryID:
          type: integer
          format: int32
        productID:
          type: integer
          format: int32
        productPrice:
          type: number
          format: double
        measuringUnitID:
          type: integer
          format: int32
        currencyID:
          type: integer
          format: int32
        entryDate:
          type: string
          format: date-time
        changeInPrice:
          type: number
          format: double
          nullable: true
        regionNameAr:
          type: string
          nullable: true
        regionNameEn:
          type: string
          nullable: true
        categoryNameAr:
          type: string
          nullable: true
        categoryNameEn:
          type: string
          nullable: true
        productNameAr:
          type: string
          nullable: true
        productNameEn:
          type: string
          nullable: true
        change:
          type: number
          format: double
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
````
